## org.apache.fop.pdf
Class PDFFilter

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFFilter

Direct Known Subclasses:
  ASCII85Filter, ASCIIHexFilter, FlateFilter

public abstract class PDFFilter
extends java.lang.Object

Constructor Summary
`PDFFilter()`

Method Summary
`abstract byte[]` `encode(byte[] data)` encode the given data with the filter
`abstract java.lang.String` `getDecodeParms()` return a parameter dictionary for this filter, or null
`abstract java.lang.String` `getName()` return a PDF string representation of the filter, e.g.
`boolean` `isApplied()`
`void` `setApplied(boolean b)` Set the applied attribute to the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFFilter

    public PDFFilter()

Method Detail

### isApplied

    public boolean isApplied()

### setApplied

    public void setApplied(boolean b)

  Set the applied attribute to the given value. This attribute is used to determine if this filter is just a placeholder for the decodeparms and dictionary entries, or if the filter needs to actually encode the data. For example if the raw data is copied out of an image file in it's compressed format, then this should be set to true and the filter options should be set to those which the raw data was encoded with.

### getName

    public abstract java.lang.String getName()

  return a PDF string representation of the filter, e.g. /FlateDecode

### getDecodeParms

    public abstract java.lang.String getDecodeParms()

  return a parameter dictionary for this filter, or null

### encode

    public abstract byte[] encode(byte[] data)

  encode the given data with the filter

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.